org.springframework.cloud.dataflow.server.config.web

## Class WebConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.web.WebConfiguration

- All Implemented Interfaces:
    EventListener, org.springframework.boot.web.servlet.ServletContextInitializer, org.springframework.context.ApplicationListener<org.springframework.context.event.ContextClosedEvent>

      @Configuration
       @ConditionalOnWebApplication
      public class WebConfiguration
      extends Object
      implements org.springframework.boot.web.servlet.ServletContextInitializer, org.springframework.context.ApplicationListener<org.springframework.context.event.ContextClosedEvent>

  Author:
    Mark Fisher, Marius Bogoevici, Patrick Peralta, Gunnar Hillert, Ilayaperumal Gopinathan, Mark Pollack, Christian Tzolov, David Turanski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.web.servlet.config.annotation.WebMvcConfigurer` | `configurer()`
    `org.springframework.boot.autoconfigure.jackson.Jackson2ObjectMapperBuilderCustomizer` | `dataflowObjectMapperBuilderCustomizer()`
    `org.h2.tools.Server` | `initH2TCPServer()`
    `org.springframework.boot.autoconfigure.http.HttpMessageConverters` | `messageConverters(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
    `void` | `onApplicationEvent(org.springframework.context.event.ContextClosedEvent event)`
    `void` | `onStartup(javax.servlet.ServletContext servletContext)`
    `org.springframework.beans.factory.config.BeanPostProcessor` | `relProviderOverridingBeanPostProcessor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.ApplicationListener

      `forPayload`

- - ### Constructor Detail

    - #### WebConfiguration

          public WebConfiguration()

  - ### Method Detail

    - #### initH2TCPServer

          public org.h2.tools.Server initH2TCPServer()

    - #### onStartup

          public void onStartup(javax.servlet.ServletContext servletContext)

      Specified by:
        `onStartup` in interface `org.springframework.boot.web.servlet.ServletContextInitializer`

    - #### messageConverters

          @Bean
          public org.springframework.boot.autoconfigure.http.HttpMessageConverters messageConverters(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

    - #### configurer

          @Bean
          public org.springframework.web.servlet.config.annotation.WebMvcConfigurer configurer()

    - #### dataflowObjectMapperBuilderCustomizer

          @Bean
          public org.springframework.boot.autoconfigure.jackson.Jackson2ObjectMapperBuilderCustomizer dataflowObjectMapperBuilderCustomizer()

    - #### relProviderOverridingBeanPostProcessor

          @Bean
          public org.springframework.beans.factory.config.BeanPostProcessor relProviderOverridingBeanPostProcessor()

    - #### onApplicationEvent

          public void onApplicationEvent(org.springframework.context.event.ContextClosedEvent event)

      Specified by:
        `onApplicationEvent` in interface `org.springframework.context.ApplicationListener<org.springframework.context.event.ContextClosedEvent>`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.